# project Documentation

This project serves as a HackOmation Project documentation template.
It is the [Minimal Documentation](https://hiltmon.com/blog/2016/03/05/minimal-project-management/) template for your project and is mandatory for each team to build this.

The Jury of the HackOmation will judge your projects based on the documentation combined with the proof of concept that your team will build.

Documentation needs to be encoded using MarkDown scripting language which allows for streamlined documentation. There are many sources and [cheatsheets](https://www.makeuseof.com/tag/printable-markdown-cheat-sheet/) available for Markdown.

We have 4 main sections which should be enough, but please add whatever you want extra. 

1. Main project landing page (index.md)
2. Embedded Solution
3. Front-end UI & Platform
4. The business side (inclusive your business canvas and market research)
5. Team Blog to make your own blog of the journey towards your end-goal (optional)
6. Notes page to write up all brain-farts, ideas and discussion aspects to share with your team (optional)

The folder structure will be provided to the teams up front (it is advisable to stay within this structure)

    docs/
    ├── index.md
    ├── embedded.md
    ├── frontend.md
    ├── business.md
    ├── blog.md
    ├── notes.md
    ├── img/
        ├── file1.png
        └── file2.png
    └── files/
        ├── final_code.zip
        └── other_files.zip
